import request from '@/utils/request'

// 查询保税区管理列表
export function listBONDED(query) {
  return request({
    url: '/BONDED/list',
    method: 'get',
    params: query
  })
}

// 查询保税区管理所有列表
export function listAllBONDED(query) {
  return request({
    url: '/BONDED/listAll',
    method: 'get',
    params: query
  })
}

// 查询保税区管理详细
export function getBONDED(id) {
  return request({
    url: '/BONDED/getInfo/' + id,
    method: 'get'
  })
}

// 新增保税区管理
export function addBONDED(data) {
  return request({
    url: '/BONDED/add',
    method: 'post',
    data: data
  })
}

// 修改保税区管理
export function updateBONDED(data) {
  return request({
    url: '/BONDED/edit',
    method: 'post',
    data: data
  })
}

// 删除保税区管理
export function delBONDED(id) {
  return request({
    url: '/BONDED/remove/' + id,
    method: 'get'
  })
}
